"create"
********

* Description

* Usage

* Required Parameters

* Optional Parameters

* Global Parameters

* Example using required parameter


Description
===========

Creates a new database in the given DB System.


Usage
=====

   oci db database create [OPTIONS]


Required Parameters
===================

--admin-password [text]

A strong password for SYS, SYSTEM, and PDB Admin. The password must be
at least nine characters and contain at least two uppercase, two
lowercase, two numbers, and two special characters. The special
characters must be _, #, or -.

--db-name [text]

The database name. It must begin with an alphabetic character and can
contain a maximum of eight alphanumeric characters. Special characters
are not permitted.


Optional Parameters
===================

--auto-backup-enabled [boolean]

If set to true, schedules backups automatically. Default is false.

--auto-backup-window [text]

Specifying a two hour slot when the backup should kick in eg:-
SLOT_ONE,SLOT_TWO. Default is anytime

--auto-full-backup-day [text]

Day of the week the full backup should be applied on the database
system. If no option is selected, the value is null and we will
default to Sunday.

--auto-full-backup-window [text]

Specifying a two hour slot when the full backup should kick in eg:-
SLOT_ONE,SLOT_TWO. Default is anytime

--backup-destination [complex type]

backup destination list

--character-set [text]

The character set for the database. The default is AL32UTF8. Allowed
values are: AL32UTF8, AR8ADOS710, AR8ADOS720, AR8APTEC715,
AR8ARABICMACS, AR8ASMO8X, AR8ISO8859P6, AR8MSWIN1256, AR8MUSSAD768,
AR8NAFITHA711, AR8NAFITHA721, AR8SAKHR706, AR8SAKHR707, AZ8ISO8859P9E,
BG8MSWIN, BG8PC437S, BLT8CP921, BLT8ISO8859P13, BLT8MSWIN1257,
BLT8PC775, BN8BSCII, CDN8PC863, CEL8ISO8859P14, CL8ISO8859P5,
CL8ISOIR111, CL8KOI8R, CL8KOI8U, CL8MACCYRILLICS, CL8MSWIN1251,
EE8ISO8859P2, EE8MACCES, EE8MACCROATIANS, EE8MSWIN1250, EE8PC852,
EL8DEC, EL8ISO8859P7, EL8MACGREEKS, EL8MSWIN1253, EL8PC437S, EL8PC851,
EL8PC869, ET8MSWIN923, HU8ABMOD, HU8CWI2, IN8ISCII, IS8PC861,
IW8ISO8859P8, IW8MACHEBREWS, IW8MSWIN1255, IW8PC1507, JA16EUC,
JA16EUCTILDE, JA16SJIS, JA16SJISTILDE, JA16VMS, KO16KSC5601,
KO16KSCCS, KO16MSWIN949, LA8ISO6937, LA8PASSPORT, LT8MSWIN921,
LT8PC772, LT8PC774, LV8PC1117, LV8PC8LR, LV8RST104090, N8PC865,
NE8ISO8859P10, NEE8ISO8859P4, RU8BESTA, RU8PC855, RU8PC866,
SE8ISO8859P3, TH8MACTHAIS, TH8TISASCII, TR8DEC, TR8MACTURKISHS,
TR8MSWIN1254, TR8PC857, US7ASCII, US8PC437, UTF8, VN8MSWIN1258,
VN8VN3, WE8DEC, WE8DG, WE8ISO8859P1, WE8ISO8859P15, WE8ISO8859P9,
WE8MACROMAN8S, WE8MSWIN1252, WE8NCR4970, WE8NEXTSTEP, WE8PC850,
WE8PC858, WE8PC860, WE8ROMAN8, ZHS16CGB231280, ZHS16GBK, ZHT16BIG5,
ZHT16CCDC, ZHT16DBT, ZHT16HKSCS, ZHT16MSWIN950, ZHT32EUC, ZHT32SOPS,
ZHT32TRIS.

--database-software-image-id [text]

The database software image OCID

--db-home-id [text]

The Db Home Id to create this database under.

--db-system-id [text]

The Db System Id to create this database under. Either –db-system-id
or –vm-cluster-id must be specified, but if both are passed, –vm-
cluster-id will be ignored.

--db-unique-name [text]

The database unique name. It must be greater than 3 characters, but at
most 30 characters, begin with a letter, and contain only letters,
numbers, and underscores. The first eight characters must also be
unique within a Database Domain and within a Database System or VM
Cluster. In addition, if it is not on a VM Cluster it might either be
identical to the database name or prefixed by the database name and
followed by an underscore.

--db-version [text]

A valid Oracle database version. To get a list of supported versions,
use the command ‘oci db version list’.

--db-workload [text]

**Deprecated.** This has been deprecated for Exadata Database Service
on Dedicated Infrastructure, Exadata Database Service on
Cloud@Customer, and Base Database Service. Support for this attribute
will end in November 2023. You may choose to update your custom
scripts to exclude the dbWorkload attribute. After November 2023 if
you pass a value to the dbWorkload attribute, it will be ignored.

Database workload type. Allowed values are: OLTP, DSS

Accepted values are:

   DSS, OLTP

--defined-tags [complex type]

Defined tags for this resource. Each key is predefined and scoped to a
namespace. For more information, see Resource Tags. This is a complex
type whose value must be valid JSON. The value can be provided as a
string on the command line or passed in as a file using the
file://path/to/file syntax.

The "--generate-param-json-input" option can be used to generate an
example of the JSON which must be provided. We recommend storing this
example in a file, modifying it as needed and then passing it back in
via the file:// syntax.

--freeform-tags [complex type]

Free-form tags for this resource. Each tag is a simple key-value pair
with no predefined name, type, or namespace. For more information, see
Resource Tags.

Example:

   {"Department": "Finance"}

This is a complex type whose value must be valid JSON. The value can
be provided as a string on the command line or passed in as a file
using the file://path/to/file syntax.

The "--generate-param-json-input" option can be used to generate an
example of the JSON which must be provided. We recommend storing this
example in a file, modifying it as needed and then passing it back in
via the file:// syntax.

--from-json [text]

Provide input to this command as a JSON document from a file using the
file://path-to/file syntax.

The "--generate-full-command-json-input" option can be used to
generate a sample json file to be used with this command option. The
key names are pre-populated and match the command option names
(converted to camelCase format, e.g. compartment-id –> compartmentId),
while the values of the keys need to be populated by the user before
using the sample file as an input to this command. For any command
option that accepts multiple values, the value of the key can be a
JSON array.

Options can still be provided on the command line. If an option exists
in both the JSON document and the command line then the command line
specified value will be used.

For examples on usage of this option, please see our “using CLI with
advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Conte
nt/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--is-desupported-version [boolean]

If true, the customer acknowledges that the specified Oracle Database
software is an older release that is not currently supported by OCI.

--is-unified-auditing-enabled [boolean]

Indicates whether unified autiding is enabled or not. Set to True to
enable unified auditing on respective DBHome.

--kms-key-id [text]

The OCID of the key container that is used as the master encryption
key in database transparent data encryption (TDE) operations.

--kms-key-version-id [text]

The OCID of the key container version that is used in database
transparent data encryption (TDE) operations KMS Key can have multiple
key versions. If none is specified, the current key version (latest)
of the Key Id is used for the operation. Autonomous Database
Serverless does not use key versions, hence is not applicable for
Autonomous Database Serverless instances.

--max-wait-seconds [integer]

The maximum time to wait for the resource to reach the lifecycle state
defined by "--wait-for-state". Defaults to 1200 seconds.

--ncharacter-set [text]

National character set for the database. The default is AL16UTF16.
Allowed values are: AL16UTF16 or UTF8.

--pdb-name [text]

Pluggable database name. It must begin with an alphabetic character
and can contain a maximum of eight alphanumeric characters. Special
characters are not permitted. Pluggable database should not be same as
database name.

--recovery-window-in-days [integer range]

The number of days between the current and the earliest point of
recoverability covered by automatic backups (1 to 60).

--run-immediate-full-backup [boolean]

If set to true, configures automatic full backups in the local region
(the region of the DB system) for the first backup run immediately.

--sid-prefix [text]

Specifies a prefix for the *Oracle SID* of the database to be created.

--source [text]

The source of database: NONE for creating a new database. DB_BACKUP
for creating a new database by restoring from a database backup.

Accepted values are:

   DATABASE, DB_BACKUP, NONE, VM_CLUSTER_BACKUP, VM_CLUSTER_NEW

--tde-wallet-password [text]

The optional password to open the TDE wallet. The password must be at
least nine characters and contain at least two uppercase, two
lowercase, two numeric, and two special characters. The special
characters must be _, #, or -.

--vault-id [text]

The OCID of the Oracle Cloud Infrastructure vault.

--vm-cluster-id [text]

The Vm Cluster Id to create this database under. Either –db-system-id
or –vm-cluster-id must be specified, but if both are passed, –vm-
cluster-id will be ignored.

--wait-for-state [text]

This operation creates, modifies or deletes a resource that has a
defined lifecycle state. Specify this option to perform the action and
then wait until the resource reaches a given lifecycle state. Multiple
states can be specified, returning on the first state. For example, "
--wait-for-state" SUCCEEDED "--wait-for-state" FAILED would return on
whichever lifecycle state is reached first. If timeout is reached, a
return code of 2 is returned. For any other error, a return code of 1
is returned.

Accepted values are:

   AVAILABLE, FAILED, PROVISIONING, TERMINATED, TERMINATING, UPDATING

--wait-interval-seconds [integer]

Check every "--wait-interval-seconds" to see whether the resource has
reached the lifecycle state defined by "--wait-for-state". Defaults to
30 seconds.


Global Parameters
=================

Use "oci --help" for help on global parameters.

"--auth-purpose", "--auth", "--cert-bundle", "--cli-auto-prompt", "--
cli-rc-file", "--config-file", "--connection-timeout", "--debug", "--
defaults-file", "--endpoint", "--generate-full-command-json-input", "
--generate-param-json-input", "--help", "--latest-version", "--max-
retries", "--no-retry", "--opc-client-request-id", "--opc-request-id",
"--output", "--profile", "--proxy", "--query", "--raw-output", "--
read-timeout", "--realm-specific-endpoint", "--region", "--release-
info", "--request-id", "--version", "-?", "-d", "-h", "-i", "-v"


Example using required parameter
================================

Copy the following CLI commands into a file named example.sh. Run the
command by typing “bash example.sh” and replacing the example
parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-
like shell. You need to set up the OCI configuration and appropriate
security policies before trying the examples.

       export db_system_id=<substitute-value-of-db_system_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/db/db-home/create.html#cmdoption-db-system-id
       export admin_password=<substitute-value-of-admin_password> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/db/database/create.html#cmdoption-admin-password
       export db_name=<substitute-value-of-db_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/db/database/create.html#cmdoption-db-name

       db_home_id=$(oci db db-home create --db-system-id $db_system_id --query data.id --raw-output)

       oci db database create --admin-password $admin_password --db-home-id $db_home_id --db-name $db_name --db-system-id $db_system_id
